<?php
/**
 * Default theme options.
 *
 * @package Wacko
 */

if ( ! function_exists( 'wacko_default_theme_options' ) ) :
    /**
     * Default theme options.
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */

    function wacko_default_theme_options() {

        $defaults = array();

        // Header.
        $defaults['sticky_header']                  = 1;
        $defaults['slider_enable']                  = 1;
        $defaults['slider_excerpt_enable']          = 1;
        $defaults['slider_btn_enable']              = 1;
        $defaults['main_slider_type']               = 'slider';
        $defaults['slider_cat']                     = '';
        $defaults['slider_transition_delay']        = 5;
        $defaults['slider_transition_duration']     = 5;
        $defaults['banner_image']                   = '';

        $defaults['home_content']                   = 1;

        $defaults['our_services']                   = '';
        $defaults['about_us']                       = '';
        $defaults['wacko_testi']                    = '';
        $defaults['info_sec']                       = '';
        $defaults['our_project']                    = '';
        $defaults['our_support']                    = '';
        $defaults['wacko_cta']                      = '';

        $defaults['sidebar']                        = 'right';
        $defaults['enable_post_date']               = 1;
        $defaults['enable_post_author']             = 1;
        $defaults['enable_post_meta']               = 1;

        $defaults['enable_scroll_top']              = 1;
        $defaults['enable_social_media']            = 1;

        $defaults['enable_social_links']            = '';
        $defaults['facebook']                       = '';
        $defaults['twitter']                        = '';
        $defaults['google_plus']                    = '';
        $defaults['instagram']                      = '';
        $defaults['linkedin']                       = '';
        $defaults['pinterest']                      = '';
        $defaults['youtube']                        = '';
        $defaults['vimeo']                          = '';
        $defaults['flickr']                         = '';
        $defaults['behance']                        = '';
        $defaults['dribbble']                       = '';
        $defaults['tumblr']                         = '';
        $defaults['github']                         = '';

        $defaults['copyright_text']                 = __( 'Copyright 2017. All rights reserved', 'wacko' );

        // Pass through filter.

        return apply_filters( 'wacko_defaults', $defaults );

    }

endif;

/**
*  Get theme options
*/

if ( !function_exists('wacko_theme_options') ) :

    function wacko_theme_options() {

        $wacko_defaults = wacko_default_theme_options();

        $wacko_option_values = get_theme_mod( 'wacko' );

        if( is_array($wacko_option_values )){

            return array_merge( $wacko_defaults ,$wacko_option_values );

        }

        else{

            return $wacko_defaults;
        }
    }

endif;
