<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Wacko
 */

get_header(); 

$theme_options  = wacko_theme_options();

	if ((( get_option( 'show_on_front' ) == 'posts' ) && ( 1 == $theme_options['home_content'])) || is_home() ) {
	?>

	 <div class="content-wrapper">
        <div id="content" class="container">
            <div class="row">

            	<?php if( 'left' == $theme_options['sidebar'] ) { ?>

                    <section id="primary" class="col-xs-12 col-sm-8 col-md-8 primary-wrapper left-sidebar">

                    <?php } elseif( 'no_side' == $theme_options['sidebar'] ) { ?>

                    <section id="primary" class="col-xs-12 col-sm-12 col-md-12 primary-wrapper">
					
					<?php } else { ?>

					<section id="primary" class="col-xs-12 col-sm-8 col-md-8 primary-wrapper">

                <?php } ?>

                  <div id="main" class="site-main" role="main">

		<?php
		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) :
					?>
					<div class="article-title">
						<h3 class="page-title"><span><?php single_post_title(); ?></span></h3>
					</div>
					<?php
				endif;

			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_format() );

			endwhile;

			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>

		</div><!--main-->
    </section><!--left-list-wrap-->

<?php
get_sidebar(); ?>

		</div><!--row-->
    </div><!--container-->
</div><!--wrapper-list--> 

<?php
}
get_footer();
