<?php
/**
 * Template part for displaying page content in page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Wacko
 */

$theme_options  = wacko_theme_options();

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header page-header">
		
		<?php the_title( '<h3 class="entry-title">', '</h3>' ); ?>

		<?php if ( has_post_thumbnail() ) { ?>
			<figure>
        		<?php the_post_thumbnail( 'full' ); ?>
        	</figure>
        <?php } ?>

		<?php
		if ( 'post' === get_post_type() ) : ?>
		<?php if( 1 === $theme_options['enable_post_date'] || 1 === $theme_options['enable_post_author'] ) { ?>
		<div class="entry-meta">
			<?php wacko_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php
			}
		endif; ?>
	</header><!-- .entry-header -->

        <div class="entry-content">
      		<?php
			the_content();

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'wacko' ),
					'after'  => '</div>',
				) );
			?>
		</div><!--entry-content-->

	<?php if( 1 === $theme_options['enable_post_meta'] ) { ?>

		<footer class="entry-footer">
			<?php wacko_entry_footer(); ?>
		</footer><!-- .entry-footer -->
	
	<?php } ?>

</article><!-- #post-<?php the_ID(); ?> -->
